GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

          • Get Server Public Information
          • Get Country List
        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. Others

  10. /
  11. Get Country List

¶ Get the country list

Update time: 2025-07-23 07:34:21
Edit

Dynamically get the country list, which can be used for front-end login page country selection and international SMS input box selection to reduce the size of front-end static resources.

¶ Method name

AuthenticationClient.get_country_list

¶ Request parameters

NameType
Required
Default value
Description
Sample value

¶ Request response

Type: GetCountryListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. It will be returned when the request fails.
dataarrayresponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "alpha2": "CN",
    "alpha3": "CHN",
    "phoneCountryCode": "+86",
    "flag": "🇨🇳",
    "name": {
      "zh-CN": {
        "enabled": false,
        "value": "xxx"
      },
      "en-US": {
        "enabled": false,
        "value": "China"
      }
    }
  }
}

¶ Data structure

¶ CountryDetailInfo

NameType
Is it required?
Description
Sample value
alpha2stringYesAlpha-2 abbreviation of the country in ISO 3166 international standard (opens new window)CN
alpha3stringYesAlpha-3 abbreviation of the country in ISO 3166 international standard (opens new window)CHN
phoneCountryCodestringYesCountry mobile phone area code+86
flagstringYesFlag icon🇨🇳
nameYesName, multi-language structure, currently only supports Chinese and English Nested type: LangObject。{"zh-CN":{"enabled":false,"value":"xxx"},"en-US":{"enabled":false,"value":"xxx"}}

¶ LangObject

NameType
Is it required
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit。{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit。{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanYesIs it enabled? If enabled, and the console selects this language, this content will be displayed. (Off by default)
valuestringyesMultilingual content
Previous article: Get Server Public Information Next article: OIDC Module
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.